[arch-commits] Commit in firefox/repos (16 files)
Jan Steffens
heftig at archlinux.org
Mon Aug 27 22:10:35 UTC 2012
Date: Monday, August 27, 2012 @ 18:10:35
Author: heftig
Revision: 165644
archrelease: copy trunk to testing-i686, testing-x86_64
Added:
firefox/repos/testing-i686/
firefox/repos/testing-i686/PKGBUILD
(from rev 165643, firefox/trunk/PKGBUILD)
firefox/repos/testing-i686/firefox-install-dir.patch
(from rev 165643, firefox/trunk/firefox-install-dir.patch)
firefox/repos/testing-i686/firefox.desktop
(from rev 165643, firefox/trunk/firefox.desktop)
firefox/repos/testing-i686/firefox.install
(from rev 165643, firefox/trunk/firefox.install)
firefox/repos/testing-i686/mozconfig
(from rev 165643, firefox/trunk/mozconfig)
firefox/repos/testing-i686/shared-libs.patch
(from rev 165643, firefox/trunk/shared-libs.patch)
firefox/repos/testing-i686/vendor.js
(from rev 165643, firefox/trunk/vendor.js)
firefox/repos/testing-x86_64/
firefox/repos/testing-x86_64/PKGBUILD
(from rev 165643, firefox/trunk/PKGBUILD)
firefox/repos/testing-x86_64/firefox-install-dir.patch
(from rev 165643, firefox/trunk/firefox-install-dir.patch)
firefox/repos/testing-x86_64/firefox.desktop
(from rev 165643, firefox/trunk/firefox.desktop)
firefox/repos/testing-x86_64/firefox.install
(from rev 165643, firefox/trunk/firefox.install)
firefox/repos/testing-x86_64/mozconfig
(from rev 165643, firefox/trunk/mozconfig)
firefox/repos/testing-x86_64/shared-libs.patch
(from rev 165643, firefox/trunk/shared-libs.patch)
firefox/repos/testing-x86_64/vendor.js
(from rev 165643, firefox/trunk/vendor.js)
------------------------------------------+
testing-i686/PKGBUILD | 82 +++++++++++++++++++++++++++++
testing-i686/firefox-install-dir.patch | 28 +++++++++
testing-i686/firefox.desktop | 81 ++++++++++++++++++++++++++++
testing-i686/firefox.install | 13 ++++
testing-i686/mozconfig | 38 +++++++++++++
testing-i686/shared-libs.patch | 12 ++++
testing-i686/vendor.js | 9 +++
testing-x86_64/PKGBUILD | 82 +++++++++++++++++++++++++++++
testing-x86_64/firefox-install-dir.patch | 28 +++++++++
testing-x86_64/firefox.desktop | 81 ++++++++++++++++++++++++++++
testing-x86_64/firefox.install | 13 ++++
testing-x86_64/mozconfig | 38 +++++++++++++
testing-x86_64/shared-libs.patch | 12 ++++
testing-x86_64/vendor.js | 9 +++
14 files changed, 526 insertions(+)
Copied: firefox/repos/testing-i686/PKGBUILD (from rev 165643, firefox/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD (rev 0)
+++ testing-i686/PKGBUILD 2012-08-27 22:10:35 UTC (rev 165644)
@@ -0,0 +1,82 @@
+# $Id$
+# Maintainer : Ionut Biru <ibiru at archlinux.org>
+# Contributor: Jakub Schmidtke <sjakub at gmail.com>
+
+pkgname=firefox
+pkgver=15.0
+pkgrel=1
+pkgdesc="Standalone web browser from mozilla.org"
+arch=('i686' 'x86_64')
+license=('MPL' 'GPL' 'LGPL')
+depends=('gtk2' 'mozilla-common' 'libxt' 'startup-notification' 'mime-types' 'dbus-glib' 'alsa-lib'
+ 'libnotify' 'desktop-file-utils' 'hicolor-icon-theme'
+ 'libvpx' 'libevent' 'nss>=3.13.3' 'hunspell' 'sqlite')
+makedepends=('unzip' 'zip' 'diffutils' 'python2' 'wireless_tools' 'yasm' 'mesa'
+ 'autoconf2.13' 'libidl2' 'xorg-server-xvfb' 'imake')
+optdepends=('wireless_tools: Location detection via available WiFi networks')
+url="http://www.mozilla.org/projects/firefox"
+install=firefox.install
+options=(!emptydirs)
+source=(https://ftp.mozilla.org/pub/mozilla.org/firefox/releases/$pkgver/source/firefox-$pkgver.source.tar.bz2
+ mozconfig firefox.desktop firefox-install-dir.patch vendor.js shared-libs.patch)
+md5sums=('64220887a349515f16e5aa990acb4db3'
+ '5644c7b42f51013e2023787938fa955e'
+ 'bdeb0380c7fae30dd0ead6d2d3bc5873'
+ '594523c536a9be951b52c90dd85aff18'
+ '0d053487907de4376d67d8f499c5502b'
+ '52e52f840a49eb1d14be1c0065b03a93')
+
+build() {
+ cd mozilla-release
+
+ cp ../mozconfig .mozconfig
+ patch -Np1 -i ../firefox-install-dir.patch
+ patch -Np1 -i ../shared-libs.patch
+
+ # Fix PRE_RELEASE_SUFFIX
+ sed -i '/^PRE_RELEASE_SUFFIX := ""/s/ ""//' \
+ browser/base/Makefile.in
+
+ export LDFLAGS="$LDFLAGS -Wl,-rpath,/usr/lib/firefox"
+ export PYTHON="/usr/bin/python2"
+ export MOZ_MAKE_FLAGS="$MAKEFLAGS"
+ unset MAKEFLAGS
+
+ # Enable PGO
+ export MOZ_PGO=1
+ export DISPLAY=:99
+ Xvfb -nolisten tcp -extension GLX -screen 0 1280x1024x24 $DISPLAY &
+ _fail=0
+
+ make -f client.mk build || _fail=1
+
+ kill $! || true
+ return $_fail
+}
+
+package() {
+ cd mozilla-release
+ make -j1 -f client.mk DESTDIR="$pkgdir" install
+
+ install -Dm644 ../vendor.js "$pkgdir/usr/lib/firefox/defaults/preferences/vendor.js"
+
+ for i in 16 22 24 32 48 256; do
+ install -Dm644 browser/branding/official/default$i.png \
+ "$pkgdir/usr/share/icons/hicolor/${i}x${i}/apps/firefox.png"
+ done
+
+ install -Dm644 ../firefox.desktop \
+ "$pkgdir/usr/share/applications/firefox.desktop"
+
+ # Use system-provided dictionaries
+ rm -rf "$pkgdir"/usr/lib/firefox/{dictionaries,hyphenation}
+ ln -s /usr/share/hunspell "$pkgdir/usr/lib/firefox/dictionaries"
+ ln -s /usr/share/hyphen "$pkgdir/usr/lib/firefox/hyphenation"
+
+ # We don't want the development stuff
+ rm -r "$pkgdir"/usr/{include,lib/firefox-devel,share/idl}
+
+ #workaround for now
+ #https://bugzilla.mozilla.org/show_bug.cgi?id=658850
+ ln -sf firefox "$pkgdir/usr/lib/firefox/firefox-bin"
+}
Copied: firefox/repos/testing-i686/firefox-install-dir.patch (from rev 165643, firefox/trunk/firefox-install-dir.patch)
===================================================================
--- testing-i686/firefox-install-dir.patch (rev 0)
+++ testing-i686/firefox-install-dir.patch 2012-08-27 22:10:35 UTC (rev 165644)
@@ -0,0 +1,28 @@
+diff -Nur mozilla-release.orig/config/autoconf.mk.in mozilla-release/config/autoconf.mk.in
+--- mozilla-release.orig/config/autoconf.mk.in 2011-11-06 14:06:44.462920048 +0000
++++ mozilla-release/config/autoconf.mk.in 2011-11-06 14:20:45.124169469 +0000
+@@ -68,8 +68,8 @@
+ mandir = @mandir@
+ idldir = $(datadir)/idl/$(MOZ_APP_NAME)-$(MOZ_APP_VERSION)
+
+-installdir = $(libdir)/$(MOZ_APP_NAME)-$(MOZ_APP_VERSION)
+-sdkdir = $(libdir)/$(MOZ_APP_NAME)-devel-$(MOZ_APP_VERSION)
++installdir = $(libdir)/$(MOZ_APP_NAME)
++sdkdir = $(libdir)/$(MOZ_APP_NAME)-devel
+
+ DIST = $(DEPTH)/dist
+ LIBXUL_SDK = @LIBXUL_SDK@
+diff -Nur mozilla-release.orig/js/src/config/autoconf.mk.in mozilla-release/js/src/config/autoconf.mk.in
+--- mozilla-release.orig/js/src/config/autoconf.mk.in 2011-11-06 14:06:45.586263727 +0000
++++ mozilla-release/js/src/config/autoconf.mk.in 2011-11-06 14:21:01.770993669 +0000
+@@ -61,8 +61,8 @@
+ datadir = @datadir@
+ mandir = @mandir@
+
+-installdir = $(libdir)/$(MOZ_APP_NAME)-$(MOZ_APP_VERSION)
+-sdkdir = $(libdir)/$(MOZ_APP_NAME)-devel-$(MOZ_APP_VERSION)
++installdir = $(libdir)/$(MOZ_APP_NAME)
++sdkdir = $(libdir)/$(MOZ_APP_NAME)-devel
+
+ TOP_DIST = @TOP_DIST@
+ ifneq (,$(filter /%,$(TOP_DIST)))
Copied: firefox/repos/testing-i686/firefox.desktop (from rev 165643, firefox/trunk/firefox.desktop)
===================================================================
--- testing-i686/firefox.desktop (rev 0)
+++ testing-i686/firefox.desktop 2012-08-27 22:10:35 UTC (rev 165644)
@@ -0,0 +1,81 @@
+[Desktop Entry]
+Name=Firefox
+Name[bn]=ফায়ারফক্স
+Name[eo]=Fajrovulpo
+Name[fi]=Firefox
+Name[pa]=ਫਾਇਰਫੋਕਸ
+Name[tg]=Рӯбоҳи оташин
+GenericName=Web Browser
+GenericName[af]=Web Blaaier
+GenericName[ar]=متصفح ويب
+GenericName[az]=Veb Səyyahı
+GenericName[bg]=Браузър
+GenericName[bn]=ওয়েব ব্রাউজার
+GenericName[br]=Furcher ar Gwiad
+GenericName[bs]=WWW Preglednik
+GenericName[ca]=Fullejador web
+GenericName[cs]=WWW prohlížeč
+GenericName[cy]=Porydd Gwe
+GenericName[da]=Browser
+GenericName[de]=Web-Browser
+GenericName[el]=Περιηγητής Ιστού
+GenericName[eo]=TTT-legilo
+GenericName[es]=Navegador web
+GenericName[et]=Veebilehitseja
+GenericName[eu]=Web arakatzailea
+GenericName[fa]=مرورگر وب
+GenericName[fi]=WWW-selain
+GenericName[fo]=Alnótsfar
+GenericName[fr]=Navigateur web
+GenericName[gl]=Navegador Web
+GenericName[he]=דפדפן אינטרנט
+GenericName[hi]=वेब ब्राउज़र
+GenericName[hr]=Web preglednik
+GenericName[hu]=Webböngésző
+GenericName[is]=Vafri
+GenericName[it]=Browser Web
+GenericName[ja]=ウェブブラウザ
+GenericName[ko]=웹 브라우저
+GenericName[lo]=ເວັບບຣາວເຊີ
+GenericName[lt]=Žiniatinklio naršyklė
+GenericName[lv]=Web Pārlūks
+GenericName[mk]=Прелистувач на Интернет
+GenericName[mn]=Веб-Хөтөч
+GenericName[nb]=Nettleser
+GenericName[nds]=Nettkieker
+GenericName[nl]=Webbrowser
+GenericName[nn]=Nettlesar
+GenericName[nso]=Seinyakisi sa Web
+GenericName[pa]=ਵੈਬ ਝਲਕਾਰਾ
+GenericName[pl]=Przeglądarka WWW
+GenericName[pt]=Navegador Web
+GenericName[pt_BR]=Navegador Web
+GenericName[ro]=Navigator de web
+GenericName[ru]=Веб-браузер
+GenericName[se]=Fierpmádatlogan
+GenericName[sk]=Webový prehliadač
+GenericName[sl]=Spletni brskalnik
+GenericName[sr]=Веб претраживач
+GenericName[sr at Latn]=Veb pretraživač
+GenericName[ss]=Ibrawuza yeWeb
+GenericName[sv]=Webbläsare
+GenericName[ta]=வலை உலாவி
+GenericName[tg]=Тафсиргари вэб
+GenericName[th]=เว็บบราวเซอร์
+GenericName[tr]=Web Tarayıcı
+GenericName[uk]=Навігатор Тенет
+GenericName[uz]=Веб-браузер
+GenericName[ven]=Buronza ya Webu
+GenericName[vi]=Trình duyệt Web
+GenericName[wa]=Betchteu waibe
+GenericName[xh]=Umkhangeli zincwadi we Web
+GenericName[zh_CN]=网页浏览器
+GenericName[zh_TW]=網頁瀏覽器
+GenericName[zu]=Umcingi we-Web
+Exec=firefox %u
+Icon=firefox
+Terminal=false
+Type=Application
+MimeType=text/html;text/xml;application/xhtml+xml;application/vnd.mozilla.xul+xml;text/mml;x-scheme-handler/http;x-scheme-handler/https;
+StartupNotify=true
+Categories=Network;WebBrowser;
Copied: firefox/repos/testing-i686/firefox.install (from rev 165643, firefox/trunk/firefox.install)
===================================================================
--- testing-i686/firefox.install (rev 0)
+++ testing-i686/firefox.install 2012-08-27 22:10:35 UTC (rev 165644)
@@ -0,0 +1,13 @@
+post_install() {
+ update-desktop-database -q
+ gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+}
+
+post_upgrade() {
+ post_install
+}
+
+post_remove() {
+ post_install
+}
+
Copied: firefox/repos/testing-i686/mozconfig (from rev 165643, firefox/trunk/mozconfig)
===================================================================
--- testing-i686/mozconfig (rev 0)
+++ testing-i686/mozconfig 2012-08-27 22:10:35 UTC (rev 165644)
@@ -0,0 +1,38 @@
+. $topsrcdir/browser/config/mozconfig
+
+ac_add_options --prefix=/usr
+ac_add_options --libdir=/usr/lib
+
+# System libraries
+ac_add_options --with-system-nspr
+ac_add_options --with-system-nss
+ac_add_options --with-system-jpeg
+ac_add_options --with-system-zlib
+ac_add_options --with-system-bz2
+ac_add_options --with-system-png
+ac_add_options --with-system-libevent
+ac_add_options --with-system-libvpx
+ac_add_options --enable-system-hunspell
+ac_add_options --enable-system-sqlite
+ac_add_options --enable-system-ffi
+#ac_add_options --enable-system-cairo
+ac_add_options --enable-system-pixman
+ac_add_options --with-pthreads
+
+# Features
+ac_add_options --enable-official-branding
+ac_add_options --enable-startup-notification
+ac_add_options --enable-gio
+#ac_add_options --enable-gstreamer
+
+ac_add_options --disable-gnomevfs
+ac_add_options --disable-crashreporter
+ac_add_options --disable-updater
+ac_add_options --disable-tests
+ac_add_options --disable-installer
+
+# PGO
+mk_add_options PROFILE_GEN_SCRIPT='$(PYTHON) $(MOZ_OBJDIR)/_profile/pgo/profileserver.py 10'
+
+# Needed to enable breakpad in application.ini
+export MOZILLA_OFFICIAL=1
Copied: firefox/repos/testing-i686/shared-libs.patch (from rev 165643, firefox/trunk/shared-libs.patch)
===================================================================
--- testing-i686/shared-libs.patch (rev 0)
+++ testing-i686/shared-libs.patch 2012-08-27 22:10:35 UTC (rev 165644)
@@ -0,0 +1,12 @@
+diff -Nur mozilla-release.orig/browser/installer/Makefile.in mozilla-release/browser/installer/Makefile.in
+--- mozilla-release.orig/browser/installer/Makefile.in 2012-07-17 16:19:29.480356991 +0000
++++ mozilla-release/browser/installer/Makefile.in 2012-07-17 17:32:41.250937293 +0000
+@@ -50,7 +50,7 @@
+ MOZ_PKG_MANIFEST_P = $(srcdir)/package-manifest.in
+ # Some files have been already bundled with xulrunner
+ ifndef SYSTEM_LIBXUL
+-MOZ_PKG_FATAL_WARNINGS = 1
++MOZ_PKG_FATAL_WARNINGS = 0
+ endif
+
+ MOZ_NONLOCALIZED_PKG_LIST = \
Copied: firefox/repos/testing-i686/vendor.js (from rev 165643, firefox/trunk/vendor.js)
===================================================================
--- testing-i686/vendor.js (rev 0)
+++ testing-i686/vendor.js 2012-08-27 22:10:35 UTC (rev 165644)
@@ -0,0 +1,9 @@
+// Use LANG environment variable to choose locale
+pref("intl.locale.matchOS", true);
+
+// Disable default browser checking.
+pref("browser.shell.checkDefaultBrowser", false);
+
+// Don't disable our bundled extensions in the application directory
+pref("extensions.autoDisableScopes", 11);
+pref("extensions.shownSelectionUI", true);
Copied: firefox/repos/testing-x86_64/PKGBUILD (from rev 165643, firefox/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD (rev 0)
+++ testing-x86_64/PKGBUILD 2012-08-27 22:10:35 UTC (rev 165644)
@@ -0,0 +1,82 @@
+# $Id$
+# Maintainer : Ionut Biru <ibiru at archlinux.org>
+# Contributor: Jakub Schmidtke <sjakub at gmail.com>
+
+pkgname=firefox
+pkgver=15.0
+pkgrel=1
+pkgdesc="Standalone web browser from mozilla.org"
+arch=('i686' 'x86_64')
+license=('MPL' 'GPL' 'LGPL')
+depends=('gtk2' 'mozilla-common' 'libxt' 'startup-notification' 'mime-types' 'dbus-glib' 'alsa-lib'
+ 'libnotify' 'desktop-file-utils' 'hicolor-icon-theme'
+ 'libvpx' 'libevent' 'nss>=3.13.3' 'hunspell' 'sqlite')
+makedepends=('unzip' 'zip' 'diffutils' 'python2' 'wireless_tools' 'yasm' 'mesa'
+ 'autoconf2.13' 'libidl2' 'xorg-server-xvfb' 'imake')
+optdepends=('wireless_tools: Location detection via available WiFi networks')
+url="http://www.mozilla.org/projects/firefox"
+install=firefox.install
+options=(!emptydirs)
+source=(https://ftp.mozilla.org/pub/mozilla.org/firefox/releases/$pkgver/source/firefox-$pkgver.source.tar.bz2
+ mozconfig firefox.desktop firefox-install-dir.patch vendor.js shared-libs.patch)
+md5sums=('64220887a349515f16e5aa990acb4db3'
+ '5644c7b42f51013e2023787938fa955e'
+ 'bdeb0380c7fae30dd0ead6d2d3bc5873'
+ '594523c536a9be951b52c90dd85aff18'
+ '0d053487907de4376d67d8f499c5502b'
+ '52e52f840a49eb1d14be1c0065b03a93')
+
+build() {
+ cd mozilla-release
+
+ cp ../mozconfig .mozconfig
+ patch -Np1 -i ../firefox-install-dir.patch
+ patch -Np1 -i ../shared-libs.patch
+
+ # Fix PRE_RELEASE_SUFFIX
+ sed -i '/^PRE_RELEASE_SUFFIX := ""/s/ ""//' \
+ browser/base/Makefile.in
+
+ export LDFLAGS="$LDFLAGS -Wl,-rpath,/usr/lib/firefox"
+ export PYTHON="/usr/bin/python2"
+ export MOZ_MAKE_FLAGS="$MAKEFLAGS"
+ unset MAKEFLAGS
+
+ # Enable PGO
+ export MOZ_PGO=1
+ export DISPLAY=:99
+ Xvfb -nolisten tcp -extension GLX -screen 0 1280x1024x24 $DISPLAY &
+ _fail=0
+
+ make -f client.mk build || _fail=1
+
+ kill $! || true
+ return $_fail
+}
+
+package() {
+ cd mozilla-release
+ make -j1 -f client.mk DESTDIR="$pkgdir" install
+
+ install -Dm644 ../vendor.js "$pkgdir/usr/lib/firefox/defaults/preferences/vendor.js"
+
+ for i in 16 22 24 32 48 256; do
+ install -Dm644 browser/branding/official/default$i.png \
+ "$pkgdir/usr/share/icons/hicolor/${i}x${i}/apps/firefox.png"
+ done
+
+ install -Dm644 ../firefox.desktop \
+ "$pkgdir/usr/share/applications/firefox.desktop"
+
+ # Use system-provided dictionaries
+ rm -rf "$pkgdir"/usr/lib/firefox/{dictionaries,hyphenation}
+ ln -s /usr/share/hunspell "$pkgdir/usr/lib/firefox/dictionaries"
+ ln -s /usr/share/hyphen "$pkgdir/usr/lib/firefox/hyphenation"
+
+ # We don't want the development stuff
+ rm -r "$pkgdir"/usr/{include,lib/firefox-devel,share/idl}
+
+ #workaround for now
+ #https://bugzilla.mozilla.org/show_bug.cgi?id=658850
+ ln -sf firefox "$pkgdir/usr/lib/firefox/firefox-bin"
+}
Copied: firefox/repos/testing-x86_64/firefox-install-dir.patch (from rev 165643, firefox/trunk/firefox-install-dir.patch)
===================================================================
--- testing-x86_64/firefox-install-dir.patch (rev 0)
+++ testing-x86_64/firefox-install-dir.patch 2012-08-27 22:10:35 UTC (rev 165644)
@@ -0,0 +1,28 @@
+diff -Nur mozilla-release.orig/config/autoconf.mk.in mozilla-release/config/autoconf.mk.in
+--- mozilla-release.orig/config/autoconf.mk.in 2011-11-06 14:06:44.462920048 +0000
++++ mozilla-release/config/autoconf.mk.in 2011-11-06 14:20:45.124169469 +0000
+@@ -68,8 +68,8 @@
+ mandir = @mandir@
+ idldir = $(datadir)/idl/$(MOZ_APP_NAME)-$(MOZ_APP_VERSION)
+
+-installdir = $(libdir)/$(MOZ_APP_NAME)-$(MOZ_APP_VERSION)
+-sdkdir = $(libdir)/$(MOZ_APP_NAME)-devel-$(MOZ_APP_VERSION)
++installdir = $(libdir)/$(MOZ_APP_NAME)
++sdkdir = $(libdir)/$(MOZ_APP_NAME)-devel
+
+ DIST = $(DEPTH)/dist
+ LIBXUL_SDK = @LIBXUL_SDK@
+diff -Nur mozilla-release.orig/js/src/config/autoconf.mk.in mozilla-release/js/src/config/autoconf.mk.in
+--- mozilla-release.orig/js/src/config/autoconf.mk.in 2011-11-06 14:06:45.586263727 +0000
++++ mozilla-release/js/src/config/autoconf.mk.in 2011-11-06 14:21:01.770993669 +0000
+@@ -61,8 +61,8 @@
+ datadir = @datadir@
+ mandir = @mandir@
+
+-installdir = $(libdir)/$(MOZ_APP_NAME)-$(MOZ_APP_VERSION)
+-sdkdir = $(libdir)/$(MOZ_APP_NAME)-devel-$(MOZ_APP_VERSION)
++installdir = $(libdir)/$(MOZ_APP_NAME)
++sdkdir = $(libdir)/$(MOZ_APP_NAME)-devel
+
+ TOP_DIST = @TOP_DIST@
+ ifneq (,$(filter /%,$(TOP_DIST)))
Copied: firefox/repos/testing-x86_64/firefox.desktop (from rev 165643, firefox/trunk/firefox.desktop)
===================================================================
--- testing-x86_64/firefox.desktop (rev 0)
+++ testing-x86_64/firefox.desktop 2012-08-27 22:10:35 UTC (rev 165644)
@@ -0,0 +1,81 @@
+[Desktop Entry]
+Name=Firefox
+Name[bn]=ফায়ারফক্স
+Name[eo]=Fajrovulpo
+Name[fi]=Firefox
+Name[pa]=ਫਾਇਰਫੋਕਸ
+Name[tg]=Рӯбоҳи оташин
+GenericName=Web Browser
+GenericName[af]=Web Blaaier
+GenericName[ar]=متصفح ويب
+GenericName[az]=Veb Səyyahı
+GenericName[bg]=Браузър
+GenericName[bn]=ওয়েব ব্রাউজার
+GenericName[br]=Furcher ar Gwiad
+GenericName[bs]=WWW Preglednik
+GenericName[ca]=Fullejador web
+GenericName[cs]=WWW prohlížeč
+GenericName[cy]=Porydd Gwe
+GenericName[da]=Browser
+GenericName[de]=Web-Browser
+GenericName[el]=Περιηγητής Ιστού
+GenericName[eo]=TTT-legilo
+GenericName[es]=Navegador web
+GenericName[et]=Veebilehitseja
+GenericName[eu]=Web arakatzailea
+GenericName[fa]=مرورگر وب
+GenericName[fi]=WWW-selain
+GenericName[fo]=Alnótsfar
+GenericName[fr]=Navigateur web
+GenericName[gl]=Navegador Web
+GenericName[he]=דפדפן אינטרנט
+GenericName[hi]=वेब ब्राउज़र
+GenericName[hr]=Web preglednik
+GenericName[hu]=Webböngésző
+GenericName[is]=Vafri
+GenericName[it]=Browser Web
+GenericName[ja]=ウェブブラウザ
+GenericName[ko]=웹 브라우저
+GenericName[lo]=ເວັບບຣາວເຊີ
+GenericName[lt]=Žiniatinklio naršyklė
+GenericName[lv]=Web Pārlūks
+GenericName[mk]=Прелистувач на Интернет
+GenericName[mn]=Веб-Хөтөч
+GenericName[nb]=Nettleser
+GenericName[nds]=Nettkieker
+GenericName[nl]=Webbrowser
+GenericName[nn]=Nettlesar
+GenericName[nso]=Seinyakisi sa Web
+GenericName[pa]=ਵੈਬ ਝਲਕਾਰਾ
+GenericName[pl]=Przeglądarka WWW
+GenericName[pt]=Navegador Web
+GenericName[pt_BR]=Navegador Web
+GenericName[ro]=Navigator de web
+GenericName[ru]=Веб-браузер
+GenericName[se]=Fierpmádatlogan
+GenericName[sk]=Webový prehliadač
+GenericName[sl]=Spletni brskalnik
+GenericName[sr]=Веб претраживач
+GenericName[sr at Latn]=Veb pretraživač
+GenericName[ss]=Ibrawuza yeWeb
+GenericName[sv]=Webbläsare
+GenericName[ta]=வலை உலாவி
+GenericName[tg]=Тафсиргари вэб
+GenericName[th]=เว็บบราวเซอร์
+GenericName[tr]=Web Tarayıcı
+GenericName[uk]=Навігатор Тенет
+GenericName[uz]=Веб-браузер
+GenericName[ven]=Buronza ya Webu
+GenericName[vi]=Trình duyệt Web
+GenericName[wa]=Betchteu waibe
+GenericName[xh]=Umkhangeli zincwadi we Web
+GenericName[zh_CN]=网页浏览器
+GenericName[zh_TW]=網頁瀏覽器
+GenericName[zu]=Umcingi we-Web
+Exec=firefox %u
+Icon=firefox
+Terminal=false
+Type=Application
+MimeType=text/html;text/xml;application/xhtml+xml;application/vnd.mozilla.xul+xml;text/mml;x-scheme-handler/http;x-scheme-handler/https;
+StartupNotify=true
+Categories=Network;WebBrowser;
Copied: firefox/repos/testing-x86_64/firefox.install (from rev 165643, firefox/trunk/firefox.install)
===================================================================
--- testing-x86_64/firefox.install (rev 0)
+++ testing-x86_64/firefox.install 2012-08-27 22:10:35 UTC (rev 165644)
@@ -0,0 +1,13 @@
+post_install() {
+ update-desktop-database -q
+ gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+}
+
+post_upgrade() {
+ post_install
+}
+
+post_remove() {
+ post_install
+}
+
Copied: firefox/repos/testing-x86_64/mozconfig (from rev 165643, firefox/trunk/mozconfig)
===================================================================
--- testing-x86_64/mozconfig (rev 0)
+++ testing-x86_64/mozconfig 2012-08-27 22:10:35 UTC (rev 165644)
@@ -0,0 +1,38 @@
+. $topsrcdir/browser/config/mozconfig
+
+ac_add_options --prefix=/usr
+ac_add_options --libdir=/usr/lib
+
+# System libraries
+ac_add_options --with-system-nspr
+ac_add_options --with-system-nss
+ac_add_options --with-system-jpeg
+ac_add_options --with-system-zlib
+ac_add_options --with-system-bz2
+ac_add_options --with-system-png
+ac_add_options --with-system-libevent
+ac_add_options --with-system-libvpx
+ac_add_options --enable-system-hunspell
+ac_add_options --enable-system-sqlite
+ac_add_options --enable-system-ffi
+#ac_add_options --enable-system-cairo
+ac_add_options --enable-system-pixman
+ac_add_options --with-pthreads
+
+# Features
+ac_add_options --enable-official-branding
+ac_add_options --enable-startup-notification
+ac_add_options --enable-gio
+#ac_add_options --enable-gstreamer
+
+ac_add_options --disable-gnomevfs
+ac_add_options --disable-crashreporter
+ac_add_options --disable-updater
+ac_add_options --disable-tests
+ac_add_options --disable-installer
+
+# PGO
+mk_add_options PROFILE_GEN_SCRIPT='$(PYTHON) $(MOZ_OBJDIR)/_profile/pgo/profileserver.py 10'
+
+# Needed to enable breakpad in application.ini
+export MOZILLA_OFFICIAL=1
Copied: firefox/repos/testing-x86_64/shared-libs.patch (from rev 165643, firefox/trunk/shared-libs.patch)
===================================================================
--- testing-x86_64/shared-libs.patch (rev 0)
+++ testing-x86_64/shared-libs.patch 2012-08-27 22:10:35 UTC (rev 165644)
@@ -0,0 +1,12 @@
+diff -Nur mozilla-release.orig/browser/installer/Makefile.in mozilla-release/browser/installer/Makefile.in
+--- mozilla-release.orig/browser/installer/Makefile.in 2012-07-17 16:19:29.480356991 +0000
++++ mozilla-release/browser/installer/Makefile.in 2012-07-17 17:32:41.250937293 +0000
+@@ -50,7 +50,7 @@
+ MOZ_PKG_MANIFEST_P = $(srcdir)/package-manifest.in
+ # Some files have been already bundled with xulrunner
+ ifndef SYSTEM_LIBXUL
+-MOZ_PKG_FATAL_WARNINGS = 1
++MOZ_PKG_FATAL_WARNINGS = 0
+ endif
+
+ MOZ_NONLOCALIZED_PKG_LIST = \
Copied: firefox/repos/testing-x86_64/vendor.js (from rev 165643, firefox/trunk/vendor.js)
===================================================================
--- testing-x86_64/vendor.js (rev 0)
+++ testing-x86_64/vendor.js 2012-08-27 22:10:35 UTC (rev 165644)
@@ -0,0 +1,9 @@
+// Use LANG environment variable to choose locale
+pref("intl.locale.matchOS", true);
+
+// Disable default browser checking.
+pref("browser.shell.checkDefaultBrowser", false);
+
+// Don't disable our bundled extensions in the application directory
+pref("extensions.autoDisableScopes", 11);
+pref("extensions.shownSelectionUI", true);
More information about the arch-commits
mailing list